Iris2.de

Iris2-Forum
It is currently Sat Oct 24, 2020 5:08 pm

All times are UTC




Post new topic Reply to topic  [ 10 posts ] 
Author Message
PostPosted: Tue Feb 03, 2009 4:53 am 
Offline
User avatar

Joined: Tue Oct 28, 2008 3:40 am
Posts: 25
I am using the unstable tree on 64 bit platform.
Code:
==== Building lugrelib ====
lugre_texatlas.cpp
lugre_texatlas_L.cpp
lugre_bitmask.cpp
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/include/g++-v4/ext/hash_map:64,
                 from /usr/include/OGRE/OgreStdHeaders.h:38,
                 from /usr/include/OGRE/OgreMemoryManager.h:46,
                 from /usr/include/OGRE/OgrePrerequisites.h:87,
                 from /usr/include/OGRE/Ogre.h:32,
                 from lugre/include/lugre_bitmask.h:28,
                 from lugre/src/lugre_bitmask.cpp:2:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/include/g++-v4/backward/backward_warning.h:33:2: warning: #warning This file includes at least one deprecated or antiquated header which may be removed without further notice at a future date. Please use a non-deprecated interface with equivalent functionality instead. For a listing of replacement headers and interfaces, consult the file backward_warning.h. To disable this warning use -Wno-deprecated.
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/include/g++-v4/ext/hash_map:64,
                 from /usr/include/OGRE/OgreStdHeaders.h:38,
                 from /usr/include/OGRE/OgreMemoryManager.h:46,
                 from /usr/include/OGRE/OgrePrerequisites.h:87,
                 from /usr/include/OGRE/Ogre.h:32,
                 from lugre/include/lugre_texatlas.h:28,
                 from lugre/src/lugre_texatlas.cpp:2:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/include/g++-v4/backward/backward_warning.h:33:2: warning: #warning This file includes at least one deprecated or antiquated header which may be removed without further notice at a future date. Please use a non-deprecated interface with equivalent functionality instead. For a listing of replacement headers and interfaces, consult the file backward_warning.h. To disable this warning use -Wno-deprecated.
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/include/g++-v4/ext/hash_map:64,
                 from /usr/include/OGRE/OgreStdHeaders.h:38,
                 from /usr/include/OGRE/OgreMemoryManager.h:46,
                 from /usr/include/OGRE/OgrePrerequisites.h:87,
                 from /usr/include/OGRE/OgreVector3.h:32,
                 from lugre/include/lugre_fifo.h:35,
                 from lugre/include/lugre_gfx3D.h:27,
                 from lugre/include/lugre_luabind.h:29,
                 from lugre/src/lugre_texatlas_L.cpp:2:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/include/g++-v4/backward/backward_warning.h:33:2: warning: #warning This file includes at least one deprecated or antiquated header which may be removed without further notice at a future date. Please use a non-deprecated interface with equivalent functionality instead. For a listing of replacement headers and interfaces, consult the file backward_warning.h. To disable this warning use -Wno-deprecated.
lugre/src/lugre_texatlas.cpp: In member function 'void Lugre::cTexAtlas::MakeImage(Ogre::Image&)':
lugre/src/lugre_texatlas.cpp:90: error: 'MEMCATEGORY_GENERAL' is not a member of 'Ogre'
lugre/src/lugre_texatlas.cpp:90: error: 'OGRE_MALLOC' was not declared in this scope
make[1]: *** [obj/Release/lugre_texatlas.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make: *** [lugrelib] Error 2
18:54:42^cr0t@amy:~/Programs/iris/

_________________
cya
Cr0t


Top
 Profile  
 
 Post subject:
PostPosted: Tue Feb 03, 2009 9:48 am 
Offline
iris2-developer
User avatar

Joined: Tue Apr 18, 2006 10:28 pm
Posts: 823
Location: Munich, Bavaria, Germany
hi, do you have ogre1.6.0 or ogre1.6.1 ?


Top
 Profile  
 
 Post subject:
PostPosted: Wed Feb 04, 2009 3:22 pm 
Offline
User avatar

Joined: Tue Oct 28, 2008 3:40 am
Posts: 25
1.4.9

_________________
cya
Cr0t


Top
 Profile  
 
 Post subject:
PostPosted: Thu Feb 05, 2009 1:47 am 
Offline
iris2-developer
User avatar

Joined: Mon Aug 09, 2004 12:20 pm
Posts: 1431
You need Ogre 1.6.x . We updated Iris2 already.

Otherwise you have to checkout an older Version of Iris2 (before we switched to Ogre 1.6 -> see commit comments).


Top
 Profile  
 
 Post subject:
PostPosted: Thu Feb 05, 2009 2:50 pm 
Offline
iris2-developer
User avatar

Joined: Tue Apr 18, 2006 10:28 pm
Posts: 823
Location: Munich, Bavaria, Germany
if there's no ogre1.6 package for your linux distro yet,
you will need to compile that from source :

to do that, download the source from
http://downloads.sourceforge.net/ogre/o ... se_mirror=

cd ogrenew
aclocal
./bootstrap
./configure --enable-cg CXXFLAGS=\"-DNDEBUG=1\"
make
sudo make install
add a line \"/usr/local/lib\" to /etc/ld.so.conf
sudo /sbin/ldconfig


Top
 Profile  
 
 Post subject:
PostPosted: Sat Feb 07, 2009 11:12 pm 
Offline
User avatar

Joined: Tue Oct 28, 2008 3:40 am
Posts: 25
I updated to ogre 1.6.1, but now I get...
Code:
==== Building lugrelib ====
lugre_texatlas.cpp
lugre_texatlas_L.cpp
lugre_bitmask.cpp
lugre_meshbuffer_L.cpp
lugre_sound_fmod.cpp
lugre/src/lugre_sound_fmod.cpp:13: error: 'FMOD_RESULT' does not name a type
lugre/src/lugre_sound_fmod.cpp:15: error: variable or field 'ERRCHECK' declared void
lugre/src/lugre_sound_fmod.cpp:15: error: 'FMOD_RESULT' was not declared in this scope
lugre/src/lugre_sound_fmod.cpp:444: error: expected `}' at end of input
make[1]: *** [obj/Debug/lugre_sound_fmod.o] Error 1
make: *** [lugrelib] Error 2

_________________
cya
Cr0t


Top
 Profile  
 
 Post subject:
PostPosted: Sat Feb 07, 2009 11:54 pm 
Offline
iris2-developer
User avatar

Joined: Mon Aug 09, 2004 12:20 pm
Posts: 1431
i think you need to disable FMod in your build script.

but better ghouly should tell you what todo, because i have no linux running.


Top
 Profile  
 
 Post subject:
PostPosted: Sun Feb 08, 2009 12:25 am 
Offline
iris2-developer
User avatar

Joined: Tue Apr 18, 2006 10:28 pm
Posts: 823
Location: Munich, Bavaria, Germany
you can either use fmod or openal with iris.
the problem with openal is that it cannot play the music files correctly.
so i'd suggest installing fmod :

* download http://www.fmod.org/index.php/download# ... rammersAPI FMOD Ex Programmers API 4.*
* unpack, change to dir,
* sudo make install
* rebuild iris


Top
 Profile  
 
 Post subject:
PostPosted: Sun Feb 08, 2009 12:54 am 
Offline
User avatar

Joined: Tue Oct 28, 2008 3:40 am
Posts: 25
ghoulsblade wrote:
you can either use fmod or openal with iris.
the problem with openal is that it cannot play the music files correctly.
so i'd suggest installing fmod :

* download http://www.fmod.org/index.php/download# ... rammersAPI FMOD Ex Programmers API 4.*
* unpack, change to dir,
* sudo make install
* rebuild iris

I have version 4.21.06 installed, how can I disable it?

_________________
cya
Cr0t


Top
 Profile  
 
 Post subject:
PostPosted: Sun Feb 08, 2009 1:03 am 
Offline
User avatar

Joined: Tue Oct 28, 2008 3:40 am
Posts: 25
figured it out

_________________
cya
Cr0t


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 10 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group